Bug 1312847 - Report "Suspect Metrics" is empty for user in "All Resources" role
Report "Suspect Metrics" is empty for user in "All Resources" role
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server (Show other bugs)
JON 3.3.5
Unspecified Unspecified
high Severity medium
: DR01
: JON 3.3.6
Assigned To: Ruben Vargas Palma
Sunil Kondkar
: Triaged
Depends On: 1312849
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 06:37 EST by bkramer
Modified: 2016-07-27 11:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 11:33:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bkramer 2016-02-29 06:37:06 EST
Description of problem:

Report "Suspect Metrics" is empty for user in "All Resources" role. All other reports are properly shown.

Version-Release number of selected component (if applicable):
JBoss ON 3.3.5

How reproducible:
Always

Steps to Reproduce:
1. Install and start JBoss ON;
2. Log in as admin user and create new user with "All Resources" role;
3. Still logged in as admin user navigate to JBoss ON UI -> Reports -> Suspect Metrics and confirm that this shows suspected metrics;
4. Log out and log in as new user created in the step 2;
5. Navigate to JBoss ON UI -> Reports -> Suspect Metrics;

Actual results:
No data is shown;

Expected results:
Suspect Metrics are shown.

Additional info:
Comment 1 Ruben Vargas Palma 2016-04-04 21:01:47 EDT
commit b1b3151af104d69f58a623654f78675d4f7242be
Author: ruben.vargas
Date:   Wed Mar 23 11:20:59 2016 -0600

    Bug 1312847 - Report "Suspect Metrics" is empty for user in "All Resources" role
Comment 3 Simeon Pinder 2016-06-17 21:11:59 EDT
Moving to ON_QA as available to test with JON 3.3.6 DR01 brew build:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=499890
Comment 4 Sunil Kondkar 2016-06-24 04:02:47 EDT
Verified on version : 3.3.0.GA Update 06 Build Number :	675641d:2fcd5b7

Verified that 'Suspect Metrics' report data is visible to the user with "All Resources" role.
Comment 5 errata-xmlrpc 2016-07-27 11:33:06 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1519.html

Note You need to log in before you can comment on or make changes to this bug.